Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc.internal.marshallers
Class ZipPackagePropertiesMarshaller

    java.lang.Object
      org.apache.poi.openxml4j.opc.internal.marshallers.PackagePropertiesMarshaller
          org.apache.poi.openxml4j.opc.internal.marshallers.ZipPackagePropertiesMarshaller

All Implemented Interfaces:
  PartMarshaller

    public final class ZipPackagePropertiesMarshaller

extends PackagePropertiesMarshaller

Package core properties marshaller specialized for zipped package.

Author:
  Julien Chable

Field Summary

Fields inherited from class org.apache.poi.openxml4j.opc.internal.marshallers.PackagePropertiesMarshaller
`KEYWORD_CATEGORY, KEYWORD_CONTENT_STATUS, KEYWORD_CONTENT_TYPE, KEYWORD_CREATED, KEYWORD_CREATOR, KEYWORD_DESCRIPTION, KEYWORD_IDENTIFIER, KEYWORD_KEYWORDS, KEYWORD_LANGUAGE, KEYWORD_LAST_MODIFIED_BY, KEYWORD_LAST_PRINTED, KEYWORD_MODIFIED, KEYWORD_REVISION, KEYWORD_SUBJECT, KEYWORD_TITLE, KEYWORD_VERSION`

Constructor Summary
`ZipPackagePropertiesMarshaller()`

Method Summary
`boolean` | `marshall(PackagePart part, java.io.OutputStream out)` Marshall package core properties to an XML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipPackagePropertiesMarshaller

    public ZipPackagePropertiesMarshaller()

Method Detail

### marshall

    public boolean marshall(PackagePart part,
                            java.io.OutputStream out)
                     throws OpenXML4JException

  Description copied from class: `PackagePropertiesMarshaller`
  Marshall package core properties to an XML document. Always return `true`.

  Specified by:
    `marshall` in interface `PartMarshaller`
  Overrides:
    `marshall` in class `PackagePropertiesMarshaller`
  Parameters:
    `part` - Part to marshall.
    `out` - The output stream into which the part will be marshall.
  Returns:
    false if any marshall error occurs, else true
  Throws:
    `OpenXML4JException` - Throws only if any other exceptions are thrown by inner methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.